// out: ../../css/components/dropdown.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// mixins variables
@import "../variables.scss";

//
.sidebar-left,
.sidebar-right {
  .block {
    .form-group {
      div:not(.vertical-boxes) {
        &.shadow-block {
          box-shadow: 0 1px 2px 0 #bfbfbf;
        }

        .view-content {
          padding: 15px;

          .views-row {
            padding: 10px 15px;
          }
        }
      }
    }
  }

  nav {
    padding: 15px;

    &.shadow-block {
      box-shadow: 0 1px 2px 0 #bfbfbf;
    }

    ul {
      list-style: none;
      margin: 0;
      padding: 0;

      & > li {
        //@include font-size(2.1);
        display: block;
        font-family: $font-primary;

        a {
          display: block;

          &:hover,
          &:focus {
            text-decoration: none;
          }

          .caret {
            @include font-size(1.4);
            border: 0;
            width: 15px;
            height: 20px;

            &::before {
              @include transition(all 0.6s ease-in-out 0s);
              content: "\70";
              display: block;
              font-family: $font-icon;
              -moz-osx-font-smoothing: grayscale;
              -webkit-font-smoothing: antialiased;
              @include font-size(4);
              line-height: 20px;
              position: absolute;
            }
          }
        }

        ul {
          margin: 5px 0 0 10px;

          li {
            @include font-size(1.6);
            font-family: $font-primary-light;
            margin: 0;
            padding: 0;

            a {
              display: inline-block;
              padding: 5px 0 8px 20px;
              position: relative;

              &:before {
                @include rotate(270);
                @include transition(
                  color 0.6s ease-in-out 0s,
                  left 0.6s ease-in-out 0s
                );
                @include font-size(2);
                content: "\71";
                float: left;
                font-family: $font-icon;
                -moz-osx-font-smoothing: grayscale;
                -webkit-font-smoothing: antialiased;
                display: block;
                top: 1px;
                left: -6px;
                position: absolute;
              }

              &:after {
                @include transition(all 0.6s ease-in-out 0s);
                background: transparent;
                border-bottom: 2px solid $orange;
                content: "";
                display: block;
                height: 2px;
                width: 0%;
                position: absolute;
                bottom: 3px;
                left: 0;
                margin: 0 0 0 20px;
                max-width: calc(100% - 20px);
              }

              &:hover,
              &.is-active {
                background: none;

                &:before {
                  left: 2px;
                  color: $orange;
                }

                &:after {
                  width: 100%;
                }
              }
            }
          }
        }

        &.menu-item--active-trail {
          a {
            color: $orange;

            .caret {
              &::before {
                @include rotate(180);
              }
            }
          }

          .dropdown-menu {
            display: block;

            a {
              color: $white;
            }
          }
        }

        &.open {
          a {
            .caret {
              &::before {
                @include rotate(180);
              }
            }
          }
        }
      }

      .dropdown-menu {
        @include border-radius(0);
        @include box-shadow(0, 0, 0, rgba(0, 0, 0, 0));
        position: static;
        float: none;
        padding: 0;
        font-size: 14px;
        text-align: left;
        background-color: transparent;
        border: 0;

        & > li a {
          white-space: normal;

          &:hover {
            color: inherit;
          }
        }
      }

      .dropdown-backdrop {
        display: none;
      }
    }
  }
}

@media only screen and (max-width: 1023px) {
  .sidebar-left,
  .sidebar-right {
    nav {
      ul {
        & > li {
          @include font-size(1.6);
          margin: 0 0 15px;

          ul li a {
            @include font-size(1.4);
          }
        }
      }
    }
  }
}
